#include <Adafruit_MAX31856.h>
#include <LiquidCrystal.h>
Adafruit_MAX31856 max = Adafruit_MAX31856(0, 1, 2, 3);
LiquidCrystal lcd(8, 9, 4, 5, 6, 7);
float temperatura;

void setup() {
  max.begin();
  max.setThermocoupleType(MAX31856_TCTYPE_K);
  lcd.begin(16,2);
  lcd.clear();
}

void loop() {
  temperatura = max.readThermocoupleTemperature();
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("Temperatura:");
  lcd.setCursor(0,1);
  lcd.print(temperatura);
  lcd.print(" st.C");
  delay(500);
}
